#ifndef _LIBUSART_H
#define _LIBUSART_H

#include <pic16f648a.h>	// /usr/share/sdcc/non-free/include/pic14/pic16f648a.h
#include "inline.h"
#include "libwait.h"

/*			  _______
			-|2	 U	1|-	
			-|3		0|-	
			-|4	 A	7|-	
			-|5		6|-	
	GND		-|		 |-	Vcc
			-|0		7|-	
	RX		-|1		6|-	
	TX		-|2	 B	5|-	
			-|3_____4|-	
*/

extern void initUsart();
extern unsigned char receiveUsart();
extern void transmitUsart(unsigned char c);
extern void transmitUsartNb(unsigned char c);

#endif /* _LIBUSART_H */

